Evaluation Rules
Get an evaluation rule
Retrieves the specified evaluation rule and its configuration.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
Yol parametreleri
id
string
gerekli
Unique identifier for the evaluation rule.
Yanıtlar
The request has succeeded.
Gövde
id
string
gerekli
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
gerekli
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
gerekli
evalId
string
gerekli
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
gerekli
templateId
string
gerekli
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
gerekli
Filter by agent name.
eventType
string | enum
gerekli
Type of the evaluation rule event.
enum
enabled
boolean
gerekli
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
gerekli
System metadata for the evaluation rule.
İstek
GET /evaluationrules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json